Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.scrolling
Class JSliderDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver
            |
            +--org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver
                  |
                  +--org.netbeans.jemmy.drivers.scrolling.JSliderDriver

All Implemented Interfaces:
  LightDriver, ScrollDriver

public class JSliderDriver
extends AbstractScrollDriver

A scroll driver serving JSlider component.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Fields inherited from class org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver
`ADJUST_CLICK_COUNT`

Constructor Summary
`JSliderDriver()` Constructs a JSliderDriver object.

Method Summary
`protected boolean` | `canDragAndDrop(ComponentOperator oper)` Tells if this driver allows to perform drag'n'drop scrolling.
`protected boolean` | `canJump(ComponentOperator oper)` Tells if this driver allows to perform jumps.
`protected boolean` | `canPushAndWait(ComponentOperator oper)` Tells if this driver allows to perform "push and wait" scrolling.
`protected void` | `drag(ComponentOperator oper, java.awt.Point pnt)` Drag to a specified point.
`protected void` | `drop(ComponentOperator oper, java.awt.Point pnt)` Drop at a specified point.
`protected int` | `getDragAndDropStepLength(ComponentOperator oper)` Returns a number of pixels in one drag and drop scrolling.
`protected Timeout` | `getScrollDeltaTimeout(ComponentOperator oper)` Returns a timeout for sleeping between verifications during "push and wait" scrolling.
`protected void` | `jump(ComponentOperator oper, ScrollAdjuster adj)` Performs maximal scroll step.
`void` | `scrollToMaximum(ComponentOperator oper, int orientation)` Changes value to a maximum.
`void` | `scrollToMinimum(ComponentOperator oper, int orientation)` Changes value to a minimum.
`protected java.awt.Point` | `startDragging(ComponentOperator oper)` Starts drag'n'drop scrolling.
`protected void` | `startPushAndWait(ComponentOperator oper, int direction, int orientation)` Presses something like a scroll button.
`protected void` | `step(ComponentOperator oper, ScrollAdjuster adj)` Performs minimal scrolling step.
`protected void` | `stopPushAndWait(ComponentOperator oper, int direction, int orientation)` Releases something like a scroll button.

Methods inherited from class org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver
`doDragAndDrop, doJumps, doPushAndWait, doSteps, scroll`

Methods inherited from class org.netbeans.jemmy.drivers.LightSupportiveDriver
`checkSupported, getSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSliderDriver

    public JSliderDriver()

  Constructs a JSliderDriver object.

Method Detail

### scrollToMinimum

    public void scrollToMinimum(ComponentOperator oper,
                                int orientation)

  Description copied from interface: `ScrollDriver`
  Changes value to a minimum.
  Following copied from interface: `org.netbeans.jemmy.drivers.ScrollDriver`
  Parameters:
    `oper` - Scroller operator.
    `orientation` - `java.awt.Adjustable.HORIZONTAL` or `java.awt.Adjustable.VERTICAL`

### scrollToMaximum

    public void scrollToMaximum(ComponentOperator oper,
                                int orientation)

  Description copied from interface: `ScrollDriver`
  Changes value to a maximum.
  Following copied from interface: `org.netbeans.jemmy.drivers.ScrollDriver`
  Parameters:
    `oper` - Scroller operator.
    `orientation` - `java.awt.Adjustable.HORIZONTAL` or `java.awt.Adjustable.VERTICAL`

### step

    protected void step(ComponentOperator oper,
                        ScrollAdjuster adj)

  Description copied from class: `AbstractScrollDriver`
  Performs minimal scrolling step.
  Overrides:
    `step` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
    `adj` - a scroll adjuster

### jump

    protected void jump(ComponentOperator oper,
                        ScrollAdjuster adj)

  Description copied from class: `AbstractScrollDriver`
  Performs maximal scroll step.
  Overrides:
    `jump` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
    `adj` - a scroll adjuster

### startPushAndWait

    protected void startPushAndWait(ComponentOperator oper,
                                    int direction,
                                    int orientation)

  Description copied from class: `AbstractScrollDriver`
  Presses something like a scroll button.
  Overrides:
    `startPushAndWait` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
    `direction` - - one of the ScrollAdjister.INCREASE_SCROLL_DIRECTION, ScrollAdjister.DECREASE_SCROLL_DIRECTION, ScrollAdjister.DO_NOT_TOUCH_SCROLL_DIRECTION values.
    `orientation` - one of the Adjustable.HORIZONTAL or Adjustable.VERTICAL values.

### stopPushAndWait

    protected void stopPushAndWait(ComponentOperator oper,
                                   int direction,
                                   int orientation)

  Description copied from class: `AbstractScrollDriver`
  Releases something like a scroll button.
  Overrides:
    `stopPushAndWait` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
    `direction` - - one of the ScrollAdjister.INCREASE_SCROLL_DIRECTION, ScrollAdjister.DECREASE_SCROLL_DIRECTION, ScrollAdjister.DO_NOT_TOUCH_SCROLL_DIRECTION values.
    `orientation` - one of the Adjustable.HORIZONTAL or Adjustable.VERTICAL values.

### startDragging

    protected java.awt.Point startDragging(ComponentOperator oper)

  Description copied from class: `AbstractScrollDriver`
  Starts drag'n'drop scrolling.
  Overrides:
    `startDragging` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    start drigging point.

### drop

    protected void drop(ComponentOperator oper,
                        java.awt.Point pnt)

  Description copied from class: `AbstractScrollDriver`
  Drop at a specified point.
  Overrides:
    `drop` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
    `pnt` - the point to drop.

### drag

    protected void drag(ComponentOperator oper,
                        java.awt.Point pnt)

  Description copied from class: `AbstractScrollDriver`
  Drag to a specified point.
  Overrides:
    `drag` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
    `pnt` - the point to drag to.

### getScrollDeltaTimeout

    protected Timeout getScrollDeltaTimeout(ComponentOperator oper)

  Description copied from class: `AbstractScrollDriver`
  Returns a timeout for sleeping between verifications during "push and wait" scrolling.
  Overrides:
    `getScrollDeltaTimeout` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    a timeout

### canDragAndDrop

    protected boolean canDragAndDrop(ComponentOperator oper)

  Description copied from class: `AbstractScrollDriver`
  Tells if this driver allows to perform drag'n'drop scrolling.
  Overrides:
    `canDragAndDrop` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    true if this driver allows to drag'n'drop.

### canJump

    protected boolean canJump(ComponentOperator oper)

  Description copied from class: `AbstractScrollDriver`
  Tells if this driver allows to perform jumps.
  Overrides:
    `canJump` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    true if this driver allows to jump.

### canPushAndWait

    protected boolean canPushAndWait(ComponentOperator oper)

  Description copied from class: `AbstractScrollDriver`
  Tells if this driver allows to perform "push and wait" scrolling.
  Overrides:
    `canPushAndWait` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    true if this driver allows to "push and wait".

### getDragAndDropStepLength

    protected int getDragAndDropStepLength(ComponentOperator oper)

  Description copied from class: `AbstractScrollDriver`
  Returns a number of pixels in one drag and drop scrolling.
  Overrides:
    `getDragAndDropStepLength` in class `AbstractScrollDriver`
  Following copied from class: `org.netbeans.jemmy.drivers.scrolling.AbstractScrollDriver`
  Parameters:
    `oper` - an operator.
  Returns:
    drag'n'drop step length.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD